summaryrefslogtreecommitdiff
path: root/qa/1025
diff options
context:
space:
mode:
Diffstat (limited to 'qa/1025')
-rwxr-xr-xqa/102542
1 files changed, 42 insertions, 0 deletions
diff --git a/qa/1025 b/qa/1025
new file mode 100755
index 0000000..b5b2d2b
--- /dev/null
+++ b/qa/1025
@@ -0,0 +1,42 @@
+#!/bin/sh
+# PCP QA Test No. 1025
+# Test out handling of > MAXHOSTNAMELEN (64) hostnames
+#
+seq=`basename $0`
+echo "QA output created by $seq"
+. ./common.qt
+
+which pmdumptext >/dev/null 2>&1 || _notrun "pmdumptext not installed"
+
+status=1 # failure is the default!
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+_cleanup()
+{
+ $sudo rm -f $tmp.*
+}
+
+# real QA test starts here
+
+rm -f $seq.full
+
+metric="sample.control"
+cat <<EOF >$tmp.config
+log mandatory on 1 sec {
+ $metric
+}
+EOF
+
+pmlogger -s1 -c $tmp.config -l $tmp.log $tmp.arch 1>$tmp.out 2>&1
+cat $tmp.log >> $seq.full
+
+bighostname="abcdefghijabcdefghijabcdefghijabcdefghijabcdefghijabcdefghijabcde"
+pmloglabel -h $bighostname $tmp.arch >> $seq.full
+
+pmdumplog -l $tmp.arch | sed -e '/commencing/d' -e '/ending/d'
+
+pmdumptext -C -a $tmp.arch $bighostname:$metric
+
+# success, all done
+status=0
+exit